<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_white"
    android:orientation="vertical">

    <include layout="@layout/reuse_toolbar" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="8dp"
        android:layout_marginRight="16dp">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/posterView"
            style="@style/frescoStyle"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="H,328:142"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:roundedCornerRadius="8dp" />

        <TextView
            android:id="@+id/changePosterBtn"
            android:layout_width="72dp"
            android:layout_height="28dp"
            android:layout_marginRight="8dp"
            android:layout_marginBottom="8dp"
            android:background="@drawable/bg_game_collectionchange_poster"
            android:gravity="center"
            android:text="更改封面"
            android:textColor="@color/white"
            android:textSize="12sp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

        <ImageView
            android:id="@+id/deleteBtn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:layout_marginRight="8dp"
            android:src="@drawable/ic_del_video"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/placeholderView"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_shape_f5_radius_8"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="H,328:142"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:id="@+id/uploadPictureBtn"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_game_collection_upload" />

            <TextView
                android:id="@+id/uploadPictureTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:text="点击上传图片"
                android:textColor="@color/text_body"
                android:textSize="@dimen/secondary_size"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:id="@+id/chooseLabelContainer"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_marginTop="8dp"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_choose_label" />

        <com.google.android.flexbox.FlexboxLayout
            android:id="@+id/gameCollectionTagsContainer"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="12dp"
            android:layout_marginRight="20dp"
            android:layout_weight="1"
            app:flexDirection="row"
            app:flexWrap="wrap" />

        <TextView
            android:id="@+id/labelTipTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_marginLeft="10dp"
            android:drawablePadding="4dp"
            android:ellipsize="end"
            android:gravity="end"
            android:hint="请至少添加一个标签"
            android:includeFontPadding="false"
            android:textColor="@color/text_body"
            android:textColorHint="@color/text_subtitleDesc"
            android:textSize="@dimen/secondary_size" />

        <ImageView
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:scaleType="centerInside"
            android:src="@drawable/ic_forum_arrow_right" />
    </LinearLayout>

    <View
        android:id="@+id/labelDivider"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:background="@color/divider" />

    <LinearLayout
        android:id="@+id/chooseGameContainer"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/gamesTv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginRight="20dp"
            android:layout_weight="1"
            android:drawableLeft="@drawable/ic_choose_game"
            android:drawablePadding="12dp"
            android:includeFontPadding="false"
            android:text="选择游戏"
            android:textColor="@color/text_title" />

        <TextView
            android:id="@+id/gamesTipTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_marginLeft="10dp"
            android:drawablePadding="4dp"
            android:ellipsize="end"
            android:gravity="end"
            android:hint="8款 以上可发布"
            android:includeFontPadding="false"
            android:textColor="@color/text_body"
            android:textColorHint="@color/text_subtitleDesc"
            android:textSize="@dimen/secondary_size" />

        <ImageView
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:scaleType="centerInside"
            android:src="@drawable/ic_forum_arrow_right" />
    </LinearLayout>

    <View
        android:id="@+id/gameDivider"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:background="@color/divider" />

    <LinearLayout
        android:id="@+id/chooseActivityContainer"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/activityTv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginRight="20dp"
            android:layout_weight="1"
            android:drawableLeft="@drawable/ic_choose_activity"
            android:drawablePadding="12dp"
            android:includeFontPadding="false"
            android:text="参与活动"
            android:textColor="@color/text_title" />

        <TextView
            android:id="@+id/activityTipTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_marginLeft="10dp"
            android:drawablePadding="4dp"
            android:ellipsize="end"
            android:gravity="end"
            android:hint="选择活动标签"
            android:includeFontPadding="false"
            android:lines="1"
            android:maxWidth="200dp"
            android:textColor="@color/game_collection_activity"
            android:textColorHint="@color/text_subtitleDesc"
            android:textSize="@dimen/secondary_size" />

        <ImageView
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:scaleType="centerInside"
            android:src="@drawable/ic_forum_arrow_right" />
    </LinearLayout>

    <View
        android:id="@+id/activityDivider"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:background="@color/divider" />

    <EditText
        android:id="@+id/gameCollectionTitleEt"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginRight="16dp"
        android:background="@null"
        android:hint="为游戏单起一个20字以内的标题吧～"
        android:inputType="text"
        android:textColor="@color/text_title"
        android:textColorHint="@color/text_body"
        android:textSize="@dimen/secondary_title_text_size" />

    <View
        android:id="@+id/titleDivider"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginRight="16dp"
        android:background="@color/divider" />

    <EditText
        android:id="@+id/gameCollectionIntroduceEt"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginRight="16dp"
        android:layout_weight="1"
        android:background="@null"
        android:gravity="top|left"
        android:hint="详细的介绍可以为你的游戏单加分哦（至少10个字）"
        android:inputType="textMultiLine"
        android:textColor="@color/text_title"
        android:textColorHint="@color/text_body"
        android:textSize="@dimen/secondary_title_text_size" />

    <TextView
        android:id="@+id/introduceSizeTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="end"
        android:layout_marginTop="12dp"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="12dp"
        android:text="0/200"
        android:textColor="@color/text_body"
        android:textSize="@dimen/secondary_size" />

    <View
        android:id="@+id/introduceDivider"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:background="@color/divider" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:paddingTop="15dp"
        android:paddingBottom="15dp">

        <TextView
            android:id="@+id/normsLinkTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:text="《游戏单管理规范》"
            android:textColor="@color/theme_font"
            android:textSize="@dimen/secondary_size" />

        <CheckBox
            android:id="@+id/selfOnlyCb"
            android:layout_width="96dp"
            android:layout_height="28dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:background="@drawable/border_round_stroke_0dot5_eee_999"
            android:button="@null"
            android:drawableLeft="@drawable/selector_original_checkbox"
            android:drawablePadding="5dp"
            android:paddingLeft="7dp"
            android:text="仅自己可见"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="@dimen/secondary_size" />
    </RelativeLayout>
</LinearLayout>